<?php

namespace Drupal\user_geo_address\Controller;

use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Get address using Google Maps API from latitude and longitude.
 */
class Geolocation extends ControllerBase {

  protected $locationService;

  /**
   * Class constructor.
   */
  public function __construct($locationService) {
    $this->locationService = $locationService;
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('user_geo_client.getAddress')
    );
  }

  /**
   * Process the lat and long.
   *
   * @return string
   *   User address from request.
   */
  public function getUserLocation($latitude, $longitude) {

    $getAddress = $this->locationService->userAddress($latitude, $longitude);
    return new JsonResponse(['address' => $getAddress->results[0]]);
  }

}
